Summary: The Kerrighed system (a Linux-based SSI)

%define name kerrighed
%define krgversion 3.0.0
%define krg_sub xos
%define release %mkrel 4
%define libname %mklibname %name

%define all_x86 i686 x86_64

Name:		%name
Version:	%{krgversion}
Release:	%release

Group:		System/Cluster
License:	GPL
URL:		http://kerrighed.org

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	autoconf >= 2.59, automake >= 1.9, gcc, libtool, docbook-utils, hevea
BuildRequires:  xmlto
BuildRequires: lsb-core, docbook-dtd412-xml, rsync

ExclusiveArch:	%{ix86} x86_64
Source0:	kerrighed-%{krgversion}-%{krg_sub}.tar.gz
Source111:	mandriva-init

%description
The Kerrighed meta-package. It depends on the kernel, the module,
tools and libs. The Kerrighed system is a Linux-based SSI.

%package utils
Summary: Tools for Kerrighed cluster
Group:		System/Cluster
Requires: %{libname} = %{krgversion}-%{release}

%description utils
This package contains tools to make a fully fonctionnal Kerrighed
cluster, like init scripts. It contains the command krgadm.

%package -n %{libname}
Summary: The Kerrighed library
Group:		System/Cluster
Provides: libkerrighed = %{krgversion}-%{release}
Conflicts: linuxssi-%{mklibname linuxssi} <= 2.6.20-0.23xos2.0
Obsoletes: linuxssi-%{mklibname linuxssi} <= 2.6.20-0.23xos2.0

%description -n %{libname}
This package provides the kerrighed library to use some advanced
features of the Kerrighed OS.

%package python
Summary: The Kerrighed python library
Group:          System/Cluster

%description python
This package provides the kerrighed python files

%package -n %{libname}-devel
Summary: The Kerrighed library - development files
Group:		System/Cluster
Provides: kerrighed-devel = %{krgversion}-%{release}, libkerrighed-devel = %{krgversion}-%{release}
Requires: %{libname} = %{krgversion}-%{release}

%description -n %{libname}-devel
This package provides the kerrighed libraries (libkerrighed
development files and static libraries.

%prep
%setup -q -n %name-%version-%{krg_sub}

%build
./autogen.sh
%configure \
	--disable-kernel \
	--enable-libkerrighed \
	--enable-python \
	--enable-tools \
	--enable-host-tools \
	--enable-tests 

perl -pi -e "s/\-Werror//" tools/Makefile
%make


%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT/etc/init.d
%{__cp} -p %{SOURCE111} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/kerrighed
%{__mkdir} -p $RPM_BUILD_ROOT/lib/modules/%{kernelkrgversion}/extra

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%post utils
/sbin/chkconfig --add kerrighed

%preun utils
/sbin/chkconfig --del kerrighed

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog INSTALL README README.Net

%files utils
%defattr(-,root,root)
%{_bindir}/migrate
%{_bindir}/krgcapset
%{_bindir}/checkpoint
%{_bindir}/restart
%{_bindir}/krgcr-run
%{_bindir}/bi*
%{_bindir}/fork_test
%{_bindir}/ipc*
%{_bindir}/krgltp-smp.sh
%{_bindir}/posixshm-tool
%{_bindir}/slab-check
%{_bindir}/up*
%{_sbindir}/krg_legacy_scheduler
%{_sbindir}/krgadm
%{_sbindir}/krgboot
%{_sbindir}/krgboot_helper
%{_sbindir}/krginit
%{_sbindir}/krginit_helper
%{_mandir}/man1/krgadm.1*
%{_mandir}/man7/kerrighed.7*
%{_mandir}/man1/krgcapset.1*
%{_mandir}/man2/krgcapset.2*
%{_mandir}/man1/migrate.1*
%{_mandir}/man2/migrate.2*
%{_mandir}/man2/migrate_self.2*
%{_mandir}/man1/checkpoint.*
%{_mandir}/man1/restart.*
%{_mandir}/man7/kerrighed_capabilities.*
%{_mandir}/man1/krgcr-run.1.lzma
%{_mandir}/man1/ipccheckpoint.1.lzma
%{_mandir}/man1/ipcrestart.1.lzma
#%config %{_sysconfdir}/default/kerrighed
%{_sysconfdir}/init.d/kerrighed
%{_sysconfdir}/bash_completion.d/kerrighed
%{_sysconfdir}/kerrighed/*
%config %{_sysconfdir}/default/kerrighed
%config %{_sysconfdir}/default/kerrighed-host
%config %{_sysconfdir}/kerrighed/krginit_helper.conf
%{_sysconfdir}/init.d/kerrighed-host
%{_datadir}/ltp/testcases/*


%files -n %libname
%defattr(-,root,root)
%{_libdir}/libkerrighed.so.2.0.0
%{_libdir}/libkerrighed.so.2
%{_libdir}/libkrgcb.so.1
%{_libdir}/libkrgcb.so.1.0.0
%{_libdir}/libbi.so.0
%{_libdir}/libbi.so.0.0.0
%{_libdir}/libkrgcheckpoint.so.1
%{_libdir}/libkrgcheckpoint.so.1.0.0

%files python
%{_bindir}/extractrmax.py
%{py_puresitedir}/kerrighed.py
%{py_puresitedir}/kerrighed.pyc
%{py_puresitedir}/kerrighed.pyo

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/kerrighed/ipc.h
%{_includedir}/kerrighed/libkrgcheckpoint.h
%{_includedir}/kerrighed/migration.h
%{_includedir}/krg-tools.h
%{_includedir}/libbi.h
%{_includedir}/smp-tools.h
%{_includedir}/test-tools.h
%{_includedir}/kerrighed/kerrighed.h
%{_includedir}/kerrighed/capability.h
%{_includedir}/kerrighed/capabilities.h
%{_includedir}/kerrighed/proc.h
%{_includedir}/kerrighed/types.h
%{_includedir}/kerrighed/checkpoint.h
%{_includedir}/kerrighed/kerrighed_tools.h
%{_includedir}/kerrighed/hotplug.h
%{_includedir}/kerrighed/krgnodemask.h
%{_includedir}/kerrighed/libkrgcb.h
%{_libdir}/pkgconfig/kerrighed.pc
%{_libdir}/libkerrighed.la
%{_libdir}/libkerrighed.a
%{_libdir}/libkerrighed.so
%{_libdir}/libbi.a
%{_libdir}/libbi.la
%{_libdir}/libbi.so
%{_libdir}/libkrgcheckpoint.a
%{_libdir}/libkrgcheckpoint.la
%{_libdir}/libkrgcheckpoint.so
%{_libdir}/pkgconfig/krgcb.pc
%{_libdir}/pkgconfig/krgcheckpoint.pc
%{_libdir}/libkrgcb.a
%{_libdir}/libkrgcb.la
%{_libdir}/libkrgcb.so


%changelog
